Bug 1718889 - [RFE] Improve the Tasks page - Dashboard
Summary: [RFE] Improve the Tasks page - Dashboard
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.2.0
Hardware: All
OS: Linux
unspecified
medium vote
Target Milestone: 6.6.0
Assignee: satellite6-bugs
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On: 1728752 1752403 1752436 1752492 1728619 1728744 1728747 1740636 1740639
Blocks: 1609371
TreeView+ depends on / blocked
 
Reported: 2019-06-10 13:46 UTC by Christian Marineau
Modified: 2019-10-22 12:47 UTC (History)
10 users (show)

Fixed In Version: tfm-rubygem-foreman-tasks-0.15.5.2-1,rubygem-foreman-tasks-0.15.10.1-1,rubygem-foreman-tasks-0.15.11.1-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1728619 None CLOSED tasks dashboard search fails with ERF42-6344 [Foreman::Exception]: Unexpected format of time: should be in form of "H24" 2019-10-31 02:15:24 UTC
Red Hat Bugzilla 1728744 None CLOSED task dashboard -- abandon full page refresh on every action 2019-10-31 02:15:24 UTC
Red Hat Bugzilla 1728747 None CLOSED task dashboard -- highilighting issues 2019-10-31 02:15:24 UTC
Red Hat Bugzilla 1728752 None NEW task dashboard -- search issues 2019-10-31 02:15:23 UTC
Red Hat Bugzilla 1729557 None CLOSED Using the manual search or pagination on tasks list page makes the dashboard charts to disappear 2019-10-31 02:15:23 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:49 UTC

Description Christian Marineau 2019-06-10 13:46:11 UTC
As a User, I need to have a better graphical status on the overall health of the tasks.

A Task page that includes a Dashboard with an emphasis on the Paused tasks and tasks with Errors/Warnings.

Comment 34 Peter Ondrejka 2019-07-10 08:00:49 UTC
Checked in Sat 6.6 snap 10, issues reported previously in upstream still persist,

- https://projects.theforeman.org/issues/27078 -- I find this a blocker for this feature
- https://projects.theforeman.org/issues/27081 -- I'd like as much as possible of these notes tackled to reduce user confusion from the new feature

Cheers

Comment 39 Avi Sharvit 2019-07-14 08:52:05 UTC
I have added `react-router-bootstrap` to the new `vendor` project to reduce the chance it will happen for the next versions:
https://github.com/theforeman/foreman-js/blob/master/packages/vendor-core/package.json

Let me know if there are other packages you want to add there.

Comment 47 Peter Ondrejka 2019-10-07 10:06:39 UTC
Verified on satellite 6.6 snap 23. The desired functionality is there, the majority of associated bzs has been fixed, the remaining I consider non-blocking for the release

Comment 49 errata-xmlrpc 2019-10-22 12:47:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.